<?php
$status = array
(
	1 => '未开始',
	2 => '报名中',
    3 => '名单公示',
    4 => '大赛回顾',
);

return array
(
    # 表名
    'name' => 'info',
    # 显示给用户看的名称
    'lang' => '活动配置',
    # 后台菜单排序
    'order' => -10,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'asc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '活动名称',
            'default'   => '',
            'desc'      => '活动名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'video'     => array
        (
            'type'      => 'varchar-800',
            'name'      => '封面视频-可以为空，视频格式mp4，上传大小不能超过4G，比例要求宽度不超过960px，高度不超过1200px',
            'default'   => '',
            'desc'      => '封面视频',
            'match'     => 'option',
            'update'    => 'video',
            'key'       => '3',
        ),

        'pic'     => array
        (
            'type'      => 'text-255',
            'name'      => '封面图-图片比例要求宽度不超过960px，高度不超过1200px',
            'default'   => '',
            'desc'      => '封面图',
            'match'     => 'option',
            'update'    => 'images',
            'key'       => '1',
        ),

        'desc'      => array
        (
            'type'      => 'text-255',
            'name'      => '活动介绍',
            'default'   => '',
            'desc'      => '活动介绍',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            //'list'      => true,
        ),

        'content'      => array
        (
            'type'      => 'text-255',
            'name'      => '活动内容',
            'default'   => '',
            'desc'      => '活动内容',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            //'list'      => true,
        ),

        'canyu'      => array
        (
            'type'      => 'text-255',
            'name'      => '参与方式',
            'default'   => '',
            'desc'      => '参与方式',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            //'list'      => true,
        ),

        'baoming_start'      => array
        (
            'type'      => 'int-11',
            'name'      => '报名开始时间',
            'default'   => '',
            'desc'      => '报名开始时间',
            'match'     => 'option',
            'update'    => 'time',
            'callback'  => 'maketime',
            'tab'       => 1,
        ),

        'baoming_end'      => array
        (
            'type'      => 'int-11',
            'name'      => '报名结束时间',
            'default'   => '',
            'desc'      => '报名结束时间',
            'match'     => 'option',
            'update'    => 'time',
            'callback'  => 'maketime',
            'tab'       => 1,
        ),

        'baoming_txt_top'      => array
        (
            'type'      => 'varchar-2000',
            'name'      => '报名时顶部说明',
            'default'   => '',
            'desc'      => '报名时顶部说明',
            'match'     => 'option',
            'update'    => 'textarea',
            'tab'       => 1,
        ),

        'baoming_txt_xieyi'      => array
        (
            'type'      => 'varchar-2000',
            'name'      => '报名时底部协议',
            'default'   => '',
            'desc'      => '报名时底部协议',
            'match'     => 'option',
            'update'    => 'textarea',
            'tab'       => 1,
        ),

        'baoming_txt_end'      => array
        (
            'type'      => 'varchar-2000',
            'name'      => '报名结束介绍',
            'default'   => '',
            'desc'      => '报名结束介绍',
            'match'     => 'option',
            'update'    => 'textarea',
            'tab'       => 1,
        ),

        'huigu_txt'      => array
        (
            'type'      => 'text-255',
            'name'      => '回顾介绍',
            'default'   => '',
            'desc'      => '回顾介绍',
            'match'     => 'option',
            'update'    => 'editor',
            'key'       => 1,
            'tab'       => 2,
        ),

        'huigu_video_name'        => array
        (
            'type'      => 'varchar-800',
            'name'      => '回顾视频标题',
            'default'   => '',
            'desc'      => '回顾视频标题',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'huigu_video'     => array
        (
            'type'      => 'varchar-800',
            'name'      => '回顾视频-视频格式mp4，上传大小不能超过4G，比例要求宽度不超过960px，高度不超过1200px',
            'default'   => '',
            'desc'      => '回顾视频',
            'match'     => 'is_string',
            'update'    => 'video',
            'key'       => '3',
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'option'    => $status,
            'update'    => 'radio',
            'list'      => true,
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'default' => array
	(
		'col' => 'id,name,state,cdate',
		'value' => array
		(
			'1,"默认活动", 1,' . DEVER_TIME,
		),
	),

    'manage' => array
    (
        'tab' => array('基础信息', '报名设置', '活动回顾'),
    	'delete' => false,
        'list' => 'update',
    ),

    'request' => array
    (
        
    ),
);
