<?php

return array
(
	# 表名
	'name' => 'source',
	# 显示给用户看的名称
	'lang' => '合作来源',
	# 后台菜单排序
	'order' => -100,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '来源名称',
			'default' 	=> '',
			'desc' 		=> '来源名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'info'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '来源介绍',
			'default' 	=> '',
			'desc' 		=> '来源介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'list_name' => '来源信息',
            'list'      => 'Dever::load("setting/lib/manage.showSource", {id})',
            'list_header'  => array('width' => '60%'),
		),

		'num_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '访问量',
			'default' 	=> '',
			'desc' 		=> '访问量',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'list'		=> true,
		),

		'baoming_view'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '报名量',
			'default' 	=> '',
			'desc' 		=> '报名量',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 默认值
	'default' => array
	(
		'col' => 'name,state,cdate',
		'value' => array
		(
			'"默认来源",1,' . time(),
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'request' => array
	(
		# 增加访问量
        'incView' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'num_view' => array('yes', '+='),
            ),
        ),

        # 增加访问量
        'incBaoming' => array
        (
            'type' => 'update',
            'where' => array
            (
                'id' => 'yes',
            ),
            'set' => array
            (
                'baoming_view' => array('yes', '+='),
            ),
        ),
	),
);
